Bug 804148 - [abrt] wicd-gtk-1.7.0-10.fc16: wicd-client.py:232:_show_notification:GError: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
[abrt] wicd-gtk-1.7.0-10.fc16: wicd-client.py:232:_show_notification:GError: ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:eb4d8284a1d115ec6a405c9744b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 12:26 EDT by Jake Jackson
Modified: 2012-04-25 11:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 11:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Jackson 2012-03-16 12:26:07 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py
executable:     /usr/share/wicd/gtk/wicd-client.py
kernel:         3.2.9-2.fc16.x86_64
reason:         wicd-client.py:232:_show_notification:GError: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
time:           Fri 16 Mar 2012 05:25:14 PM CET
uid:            1000

backtrace:
:wicd-client.py:232:_show_notification:GError: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:
:Traceback (most recent call last):
:  File "/usr/share/wicd/gtk/wicd-client.py", line 1032, in <module>
:    main(sys.argv)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 90, in wrapper
:    return func(*args, **kwargs)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 1004, in main
:    tray_icon = TrayIcon(animate, displaytray=display_app)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 138, in __init__
:    self.icon_info = self.TrayConnectionInfo(self, self.tr, animate)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 197, in __init__
:    self.update_tray_icon()
:  File "/usr/share/wicd/gtk/wicd-client.py", line 90, in wrapper
:    return func(*args, **kwargs)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 348, in update_tray_icon
:    self.set_wireless_state(info)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 90, in wrapper
:    return func(*args, **kwargs)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 288, in set_wireless_state
:    'network-wireless')
:  File "/usr/share/wicd/gtk/wicd-client.py", line 232, in _show_notification
:    self._last_bubble.show()
:GError: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:
:Local variables in innermost frame:
:self: <__main__.TrayConnectionInfo object at 0x2c2a090>
:image: 'network-wireless'
:details: 'Connection established'
:title: dbus.String(u'Jake')

smolt_data:
:
:
:General
:=================================
:UUID: 0a126709-c0c6-499b-9ef7-63955cb6507b
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4811.47
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 4
:CPU Speed: 2394
:System Memory: 7987
:System Swap: 8190
:Vendor: System manufacturer
:System: P5K3 Deluxe System Version
:Form factor: Desktop
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:4163:33429) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:4163:33429) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(32902:10544:4163:33399) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10274:4163:33399) pci, ahci, RAID, 82801 SATA RAID Controller
:(32902:10518:4163:33399) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(4523:17252:4163:33272) pci, sky2, ETHERNET, 88E8056 PCI-E Gigabit Ethernet Controller
:(32902:10549:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:4163:33399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10553:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(6523:9059:4163:33359) pci, pata_jmicron, STORAGE, JMB362/JMB363 Serial ATA Controller
:(6523:9059:4163:33359) pci, ahci, STORAGE, JMB362/JMB363 Serial ATA Controller
:(32902:10560:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4163:33399) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4318:1553:6618:4160) pci, nvidia, VIDEO, ZT-88TES2P-FSP
:(32902:10570:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4545:22545:4163:33428) pci, firewire_ohci, FIREWIRE, IEEE 1394a Firewire Controller
:(4332:33127:4163:33293) pci, r8169, ETHERNET, RTL-8110SC/8169SC Gigabit Ethernet
:(32902:10552:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 36937546 33056842 32687228 9248768 8941039 8941039
:/dev/sdb1 /home ext4 4096 4096 121965830 106124226 100019407 30531584 30403053 30403053
:/dev/md126p1 WITHHELD ext4 4096 4096 487909546 380351596 355932729 122101760 122004757 122004757
:
Comment 1 David Cantrell 2012-03-21 14:12:44 EDT
Did you disable NetworkManager and make sure to enable wicd in systemd?
Comment 2 Jake Jackson 2012-03-25 03:00:37 EDT
I don't recognise network manager in daily use, but i don't exactly know. How can i check if it's probably disabled?
WICD runs automatically at system startup?! How can i check if it's probably enabled in systemd?

greets jj
Comment 3 David Cantrell 2012-03-26 15:58:46 EDT
The following commands at root will ensure NetworkManager will not run and wicd will:

# systemctl stop NetworkManager.service
# systemctl disable NetworkManager.service
# systemctl enable wicd.service
# systemctl start wicd.service

Also, wicd is split in to several packages.  At the very least, you need these packages:

    wicd
    wicd-common

Then, depending on the client interface you want, install one or both of these packages:

    wicd-gtk
    wicd-curses

Note You need to log in before you can comment on or make changes to this bug.